Package com.verisign.epp.namestore.interfaces

## Class NSHostTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.namestore.interfaces.NSHostTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class NSHostTst
      extends junit.framework.TestCase

  Test of the use of the `NSHost` interface. This test utilizes the EPP session pool and exercises all of the operations defined in `NSHost` and the base class `EPPHost`.
  See Also:
    `NSHost`, `EPPHost`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NSHostTst​(java.lang.String name)` | Allocates an `NSHostTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `java.lang.String` | `makeDomainName()` | This method generates a unique domain name.
    `java.lang.String` | `makeExternalHost()` | This method generates a unique external Host Name (i.e.
    `java.lang.String` | `makeInternalHost()` | This method generates a unique internal Host Name.
    `java.lang.String` | `makeInternalHost​(java.lang.String newDomainName)` | This method generates a unique internal Host Name for a given Domain Name
    `java.lang.String` | `makeIP()` | This method generates a unique IPV4 address.
    `static void` | `printEnd​(java.lang.String aTest)` | Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
    `static void` | `printStart​(java.lang.String aTest)` | Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
    `protected void` | `setUp()` | JUNIT `setUp` method
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `NSHostTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testEndSession()` | Unit test of `EPPSession.endSession`.
    `void` | `testHostCheck()` | Unit test of `NSHost.sendHostCheck` command.
    `void` | `testHostCreate()` | Unit test of `NSHost.sendCreate` command.
    `void` | `testHostDelete()` | Unit test of `NSHost.sendDelete` command.
    `void` | `testHostInfo()` | Unit test of `NSHost.sendHostInfo` command.
    `void` | `testHostUpdate()` | Unit test of `NSHost.sendUpdate` command.
    `void` | `testResellerId()` | Unit test using `NSHost.addOrgId(EPPOrgExtId)` to set the reseller identifier on create and `NSHost.addUpdateOrgId(int, EPPOrgExtId)` to update the reseller identifier of an existing host.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NSHostTst

          public NSHostTst​(java.lang.String name)

      Allocates an `NSHostTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testHostCreate

          public void testHostCreate()

      Unit test of `NSHost.sendCreate` command.

    - #### testHostCheck

          public void testHostCheck()

      Unit test of `NSHost.sendHostCheck` command.

    - #### testHostInfo

          public void testHostInfo()

      Unit test of `NSHost.sendHostInfo` command.

    - #### testHostDelete

          public void testHostDelete()

      Unit test of `NSHost.sendDelete` command.

    - #### testHostUpdate

          public void testHostUpdate()

      Unit test of `NSHost.sendUpdate` command.

    - #### testResellerId

          public void testResellerId()

      Unit test using `NSHost.addOrgId(EPPOrgExtId)` to set the reseller identifier on create and `NSHost.addUpdateOrgId(int, EPPOrgExtId)` to update the reseller identifier of an existing host.

    - #### testEndSession

          public void testEndSession()

      Unit test of `EPPSession.endSession`. One session in the session pool wil be ended.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `NSHostTst`.
      Returns:
        DOCUMENT ME!

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### printStart

          public static void printStart​(java.lang.String aTest)

      Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### printEnd

          public static void printEnd​(java.lang.String aTest)

      Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
      Parameters:
        `aTest` - name for the test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method generates a unique domain name.
      Returns:
        Unique domain name

    - #### makeIP

          public java.lang.String makeIP()

      This method generates a unique IPV4 address.
      Returns:
        Unique IPV4 address

    - #### makeInternalHost

          public java.lang.String makeInternalHost​(java.lang.String newDomainName)

      This method generates a unique internal Host Name for a given Domain Name
      Parameters:
        `newDomainName` - Domain name to based host name on
      Returns:
        Unique host name

    - #### makeInternalHost

          public java.lang.String makeInternalHost()

      This method generates a unique internal Host Name.
      Returns:
        Unique internal host name

    - #### makeExternalHost

          public java.lang.String makeExternalHost()

      This method generates a unique external Host Name (i.e. BIZ).
      Returns:
        Unique external host name